Bug 241791 - devel/talloc: fails to configure with python 3.8 as default
Summary: devel/talloc: fails to configure with python 3.8 as default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-07 21:03 UTC by Dmitry Marakasov
Modified: 2019-11-23 13:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments
Patch file (2.10 KB, patch)
2019-11-11 22:20 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2019-11-07 21:03:02 UTC
...
Checking if compiler accepts -fstack-clash-protection                                           : no 
Checking linker accepts -Wl,-no-undefined                                                       : yes 
Checking linker accepts ['-undefined', 'dynamic_lookup', '-Werror']                             : no 
Checking for program 'python3'                                                                  : /usr/local/bin/python3.8 
Checking for program 'python'                                                                   : /usr/local/bin/python3.8 
Checking for program 'python3'                                                                  : not found 
Checking for python version >= 3.4.0                                                            : 3.8.0 
python-config                                                                                   : /usr/local/bin/python3.8-config 
Asking python-config for pyembed '--cflags --libs --ldflags' flags                              : yes 
Testing pyembed configuration                                                                   : Could not build a python embedded interpreter 
Testing pyembed configuration                                                                   : Could not build a python embedded interpreter 
The configuration failed
(complete log in /wrkdirs/usr/ports/devel/talloc/work/talloc-2.2.0/bin/config.log)
===>  Script "configure" failed unexpectedly.

Full log: https://people.freebsd.org/~amdmi3/talloc-python38.log

Note that talloc 2.3.0 is available, it may be that it has python 3. compatibility fixed.
Comment 1 Yasuhiro KIMURA 2019-11-11 22:20:35 UTC
Created attachment 209079 [details]
Patch file

I tried talloc 2.3.0 with attached patch and succeeded to build with Python 3.8.
Comment 2 Dmitry Marakasov freebsd_committer 2019-11-22 15:24:36 UTC
Maintainer timeout
Comment 3 Timur I. Bakeyev freebsd_committer 2019-11-23 00:19:07 UTC
(In reply to Dmitry Marakasov from comment #2)

Dmity, why on Earth you are touching things that you have no clue about?
Comment 4 commit-hook freebsd_committer 2019-11-23 12:54:40 UTC
A commit references this bug:

Author: amdmi3
Date: Sat Nov 23 12:54:05 UTC 2019
New revision: 518227
URL: https://svnweb.freebsd.org/changeset/ports/518227

Log:
  - Update to 2.3.0, fixing build with python 3.8

  PR:		241791 [1], 241793 [2]
  Submitted by:	yasu@utahime.org [1], osidorkin@gmail.com [2]
  Reported by:	amdmi3 [1]
  Approved by:	maintainer timeout (timur, 2 weeks)

Changes:
  head/devel/talloc/Makefile
  head/devel/talloc/distinfo
  head/devel/talloc/files/patch-buildtools_wafsamba_samba__autoconf.py
Comment 5 Dmitry Marakasov freebsd_committer 2019-11-23 13:10:11 UTC
(In reply to Timur I. Bakeyev from comment #3)
> Dmity, why on Earth you are touching things that you have no clue about?

Please justify this accusation at once. These updates were reviewed, build tested with all dependees and run tested with samba410.

Closing the PRs causing breakages for multiple people with incorrect resolution with no comment after weeks of inactivity is at least impolite on your side.